import { Hit, Target } from "../../interfaces/frontend"
import GamefieldPointer from "./GamefieldPointer"
import { composeTargetTiles } from "@lib/utils/helpers"
import React from "react"

function Targets({
  props: { target, targetPreview, mode, hits },
}: {
  props: {
    target: Target
    targetPreview: Target
    mode: number
    hits: Hit[]
  }
}) {
  return (
    <>
      {[
        ...composeTargetTiles(target, mode, hits).map((props, i) => (
          <GamefieldPointer key={"t" + i} props={props} />
        )),
        ...composeTargetTiles(targetPreview, mode, hits).map((props, i) => (
          <GamefieldPointer key={"p" + i} props={props} preview />
        )),
      ]}
    </>
  )
}

export default Targets
